const express = require('express');

const regionApp = express.Router();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

const ReqQueryFields = require(`${libs}/middlewares/reqQueryFields`);

let rqf = new ReqQueryFields();

rqf.addField({
    name: 'filter',
    field: false,
    where: true
}).addValue({
    name: 'id',
    table: 'regiao',
    tableField: 'pk_regiao_id',
    where: {
        relation: '=',
        type: 'integer',
        field: 'pk_regiao_id',
        table: 'regiao'
    }
});

regionApp.get('/', rqf.parse(), rqf.build(), (req, res, next) => {
    req.sql.from('regiao');
    next();
}, query, response('region'));

module.exports = regionApp;
